import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { TelephoneArea } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-09-02 11:01
 */
interface TelephoneAreaCU extends ConditionUtil<TelephoneAreaCU> {
    ID: FieldUtil<TelephoneAreaCU>;
    AREA_NAME: FieldUtil<TelephoneAreaCU>;
    AREA_CODE: FieldUtil<TelephoneAreaCU>;
    REMARK: FieldUtil<TelephoneAreaCU>;
    STATE: FieldUtil<TelephoneAreaCU>;
}
declare class TelephoneAreaMU extends TableUtilImpl<TelephoneAreaCU, TelephoneArea> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): TelephoneAreaCU;
    static get ID(): FieldUtil<TelephoneAreaCU>;
    static get AREA_NAME(): FieldUtil<TelephoneAreaCU>;
    static get AREA_CODE(): FieldUtil<TelephoneAreaCU>;
    static get REMARK(): FieldUtil<TelephoneAreaCU>;
    static get STATE(): FieldUtil<TelephoneAreaCU>;
    get ID(): FieldUtil<TelephoneAreaCU>;
    get AREA_NAME(): FieldUtil<TelephoneAreaCU>;
    get AREA_CODE(): FieldUtil<TelephoneAreaCU>;
    get REMARK(): FieldUtil<TelephoneAreaCU>;
    get STATE(): FieldUtil<TelephoneAreaCU>;
}
export { TelephoneAreaMU, TelephoneAreaCU };
